aboutsummaryrefslogtreecommitdiffstats
path: root/common/scripts/service-check.sh
diff options
context:
space:
mode:
Diffstat (limited to 'common/scripts/service-check.sh')
-rwxr-xr-xcommon/scripts/service-check.sh19
1 files changed, 19 insertions, 0 deletions
diff --git a/common/scripts/service-check.sh b/common/scripts/service-check.sh
new file mode 100755
index 0000000..6ffa6f6
--- /dev/null
+++ b/common/scripts/service-check.sh
@@ -0,0 +1,19 @@
+#!/bin/bash
+
+REQUIREDSOCKETS="cynara.socket dbus.socket security-manager.socket"
+REQUIREDSERVICES="afm-system-daemon.service afm-user-daemon.service connman.service ofono.service weston.service HomeScreen.service lightmediascanner.service bluetooth.service"
+
+ALL="${REQUIREDSOCKETS} ${REQUIREDSERVICES}"
+RESULT="unknown"
+
+for i in ${ALL} ; do
+ systemctl is-active ${i} >/dev/null 2>&1
+ if [ $? -eq 0 ] ; then
+ RESULT="pass"
+ else
+ RESULT="fail"
+ fi
+ lava-test-case ${i} --result ${RESULT}
+done
+
+exit 0 \ No newline at end of file